harness
Create harness outcomes
Requires scopes: runs:write
POST
/
api
/
harness
/
outcomes
Create harness outcomes
curl --request POST \
--url https://evalgate.com/api/harness/outcomes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "codex",
"occurredAt": "<string>",
"outcome": "unknown",
"schemaVersion": 1,
"eventKey": "<string>",
"qualityScore": 123,
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"costUsd": 123,
"latencyMs": 123,
"model": "<string>",
"harnessKey": "<string>",
"agent": "<string>",
"baselineKey": "<string>",
"taskKey": "<string>",
"evalCount": 123,
"passedEvalCount": 123
}
'import requests
url = "https://evalgate.com/api/harness/outcomes"
payload = {
"source": "codex",
"occurredAt": "<string>",
"outcome": "unknown",
"schemaVersion": 1,
"eventKey": "<string>",
"qualityScore": 123,
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"costUsd": 123,
"latencyMs": 123,
"model": "<string>",
"harnessKey": "<string>",
"agent": "<string>",
"baselineKey": "<string>",
"taskKey": "<string>",
"evalCount": 123,
"passedEvalCount": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'codex',
occurredAt: '<string>',
outcome: 'unknown',
schemaVersion: 1,
eventKey: '<string>',
qualityScore: 123,
inputTokens: 123,
outputTokens: 123,
totalTokens: 123,
costUsd: 123,
latencyMs: 123,
model: '<string>',
harnessKey: '<string>',
agent: '<string>',
baselineKey: '<string>',
taskKey: '<string>',
evalCount: 123,
passedEvalCount: 123
})
};
fetch('https://evalgate.com/api/harness/outcomes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"privacy": {
"mode": "<string>",
"rawContentStored": false
},
"accepted": true,
"eventKey": "<string>",
"expiresAt": "<string>"
}{
"privacy": {
"mode": "<string>",
"rawContentStored": false
},
"accepted": true,
"eventKey": "<string>",
"expiresAt": "<string>"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Body
application/json
source
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>
required
Available options:
codex Available options:
unknown Available options:
1 ⌘I
Create harness outcomes
